Subject: Re: Jack S Defends MLKing Slur (Was: ARF DEFENDS HIS HONOR)

From: [email-masked] (Danny Keren)
Date: 6 Oct 92 03:40:02 GMT

[email-masked] (Jack Schmidling) writes:

[About David Duke and the KKK]

#Having said that, he was the leader of a small local group and not even
#the howling savages in the media could come up with a single "evil act"
#done by him or it.  As a matter of fact, I don't recall a single evil
#act by the Klan in the past twenty years.  

That is an amazing statment. It might be true that the KKK has tuned
down violent actions (or at least doesn't carry them out in the
open), but "not a single evil act"??

I saw "Larry King Live" a few weeks ago. There was this guy who
is the leader of the KKK in Denver. Here are some of the Hilits:

1) Larry King: "What do you think about Jews"?
   Answer: "Can't stand them - just like Homosexuals".

2)Larry King: "Are you sorry for American Jews who died in WW2"?
  Answer: "No, why should I be sorry for them? Hitler didn't do
           anything wrong. He was just trying to re-organize Germany".

Then, the guy takes out a newspaper article stating that the number
of Jews who died in Auschwitz is "only" about 1.2 million, and starts
screaming "So what's all the talk about 6 million Jews who died in
the Holocaust?". (Auschwitz was, of course, only one extermination
camp, indeed the largest; and in addition to mass murder in the six
camps, about a million people were shot to death in numerous mass
executions in the USSR, and many died of starvation and overwork).

I think this guy was quite a good representative of the KKK and other
extreme right groups. They sound just like Hitler and his followers
in the 20's and the 30's. No wonder that they admire him - more
than anyone else, he stood for what they believe and want; when the
Holocaust denial issue came up on GEnie a few months ago, the leading
and most persistent and vocal of the deniers wrote that "Hitler was
a great man, the greatest leader of the century, greater than
Churchill and FDR combined; he was just what Germany needed".

And so I ask Arf: in the chain of actions connecting the voicing
of such opinions at one side to the dropping of the Zyklon-B into
the chambers at the other side, where do you think "evil" begins?

-Danny Keren.